* {
  margin: 0;
  padding: 0;
}

html {
  background-image: url(/images/spelhall.avif);
  background-repeat: no-repeat;
  background-size: cover;
  background-color: rgb(0, 0, 0);
}

body {
  display: grid;
  place-items: center;
  height: 30vh;
  margin-top: 40px;
}

@font-face {
  font-family: 'MKtitle';
  src: url(font/MKtitle.otf);
}

.container {
  display: flex;
  width: 90%;
  background-color: antiquewhite;
  margin: 0 auto;
  padding: 5px;
  background-color: rgba(107, 107, 153, 0.8);
  border: 5px solid #222334;
 
  border-radius: 20px;

}

.left-section {
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 1;
  padding: 0;
  margin: 0;
 
}

.right-section {
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 1; 
  padding: 0;
  margin: 0;

}  

.left-section p, .right-section p {
  display: flex;
  justify-content: center;
}

.human-character {
  display: flex;
  justify-content: center;
  color: white;
  background-color: rgb(244, 55, 22);
  font-family: 'MKtitle';
  font-size: 1.5rem;
  border-radius: 50px;
}

.robot-character {
  display: flex;
  justify-content: center;
  color: white;
  background-color: rgb(244, 55, 22);
  font-family: 'MKtitle';
  font-size: 1.5rem;
  border-radius: 50px;
}

.human-character:hover, .robot-character:hover {
  background-color: #76c1d4;
  transition: background-color 0.3s ease-out;
  transition: transform 0.3s ease;
  opacity: 1;
  transform: translateY(-5px);
}


.title {
  display: flex;
  justify-content: center;
  background-color: rgb(244, 55, 22);
  font-family: 'MKtitle';
  font-size: 1rem;
  border-radius: 50px;
}

.title:hover {
  background-color: #76c1d4;
  transition: background-color 0.3s ease-out;
  transition: transform 0.3s ease;
  opacity: 1;
  transform: translateY(-5px);
}

.nameButton {
  margin-top: 200px;
  width: 300px;
  height: 30px;
  border-radius: 20px;
  font-size: 18px;
  text-align: center;
  font-family: 'MKtitle';
}
.name-buttons {
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  width: 80%;
  margin-top: 30px;
 
}

  

.continue-btn, .back-btn {
  width: 250px;
  height: 40px;
  font-size: 1.5rem;
  font-family: 'MKtitle';
  border-radius: 40px;
  background-color: rgb(244, 55, 22);
  position: absolute;
  cursor: pointer;
  color: white;
}
.playerName-btn, .robotName-btn {
  background-color: rgb(244, 55, 22);
  cursor: pointer;
  width: 250px;
  height: 40px;
  font-size: 1.5rem;
  font-family: 'MKtitle';
  border-radius: 40px;
  color: white;
  margin-top: -25px;
}
.ok-btn1, .ok-btn2 {
  background-color: rgb(244, 55, 22);
  cursor: pointer;
  width: 50px;
  height: 40px;
  font-size: 1rem;
  font-family: 'MKtitle';
  border-radius: 10px;
  color: white;
  margin-top: 15px;
}
.ok-btn1:disabled, .ok-btn2:disabled {
  background-color: rgb(49, 49, 49);
  cursor: pointer;
  width: 50px;
  height: 40px;
  font-size: 1rem;
  font-family: 'MKtitle';
  border-radius: 10px;
  color: white;
  margin-top: 15px;
}

.continue-btn:hover,
.playerName-btn:hover,
.robotName-btn:hover,
.back-btn:hover {
  background-color: #76c1d4;
  transition: background-color 0.3s ease-out;
  transition: transform 0.3s ease;
  opacity: 1;
  transform: translateY(-5px);
}

.btn-name-user, .btn-name-robot {
  width: 150px;
  height: 20px;
  font-size: 0.7rem;
  font-family: 'MKtitle';
  border-radius: 40px;
  background-color: rgb(108, 194, 244);
  padding-left: 40px;
  margin-top: 20px;
  margin-left: 100px;
  cursor: pointer;
}

.character-container {
  background-size: cover;

}

#demon{
  height: 98px;
}

.img {
  display: flex;
  width: 90px;
  border-radius: 50%;
  margin-top: 20px;
  border: 2px solid red;
  box-shadow: 5px 5px 2px rgb(41, 41, 41);
  min-height: 90px;
}

.img:hover {
  cursor: pointer;
  opacity: 80%;
 
 
}
.title-container {
  display: flex;
  flex-direction: column;
  
  align-items: center;
}
.title {
  font-size: 30px;
  font-family: MKtitle;
  background-color: rgb(208, 10, 10);
  color: white;
  border-radius: 20px;
  padding: 10px;
  margin-block: 5px;
  box-shadow: 5px 5px 5px rgb(0, 0, 0);
}
.title1 {
  font-size: 18px;
  font-family: MKtitle;
  background-color: rgb(208, 10, 10);
  color: white;
  width: 4rem;
  text-align: center;
  border-radius: 10px;
  box-shadow: 5px 5px 5px rgb(0, 0, 0);
}


.title:hover {
  background-color: #76c1d4;
  transition: background-color 0.3s ease-out;
  transition: transform 0.3s ease;
  opacity: 1;
  transform: translateY(-5px);
}

.btn-container {
  display: flex;
  flex-direction: column;
  margin-top: 100px;
}
.btn1, .btn2, .start-button {
  font-size:30px;
    color: rgb(250, 245, 245);
    background-color: rgb(208, 10, 10);
    text-transform: uppercase;
    font-family: MKtitle;
    cursor: pointer;
    margin-left: 15px;
    margin-top: 20px ;
    border-radius: 20px;
    box-shadow: 5px 5px 5px rgb(0, 0, 0);
}

.btn1:hover, .btn2:hover, .start-button:hover {
  background-color: #76c1d4;
  transition: background-color 0.3s ease-out;
  transition: transform 0.3s ease;
  opacity: 1;
  transform: translateY(-5px);
}

#howToPlayPopUp {
  left: 20%;
  top: 8%;
  position: absolute;
  width: 60%;
  background-color: #45476D;
  border: 5px solid #222334;
  color: white;
  border-radius: 20px;
  display: none;
  margin-top: -40px;
}

#howToPlayPopUp button{
  position: absolute;
  top: 2%;
  right: 2%;
  font-size: 1.3rem;
  width: 30px;
  height: 30px;
  background-color: #222334;
  text-shadow: none;
  border-color: #111119;
  border-style: solid;
  color: white;
  cursor: pointer;
}

#popUp {
  left: 20%;
  top: 8%;
  position: absolute;
  width: 60%;
  background-color: #45476D;
  border: 5px solid #222334;
  color: white;
  border-radius: 20px;
  display: none;
  margin-top: -40px;
}

#popUp h1 {
  display: flex;
  justify-content: center;
  color: antiquewhite;
  font-family: 'MKtitle';
  border-radius: 50px;
  margin-top: 20px;
  font-size: 5rem;
}

#popUp li {
  margin-left: 5rem;
  font-size: 1.5rem;
}

#popUp button{
  position: absolute;
  top: 2%;
  right: 2%;
  font-size: 1.3rem;
  width: 30px;
  height: 30px;
  background-color: #222334;
  text-shadow: none;
  border-color: #111119;
  border-style: solid;
  color: white;
  cursor: pointer;
}

.rulesTextGrid {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.rulesText h2 {
  font-family: fantasy;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 10px;
  margin-bottom: 10px;
  border-radius: 50px;
}

.rulesText h3 {
  font-family: fantasy;
  font-size: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 10px;
  margin-bottom: 10px;
}

.rulesText p {
  background-color: rgb(59, 126, 199);
  font-family: fantasy;
  font-size: 17px;
  margin-top: 10px;
  margin-bottom: 20px;
  width: 80%;
  border-radius: 10px;
}

#howToPlayPopUp h1 {
  display: flex;
  justify-content: center;
  color: antiquewhite;
  font-family: 'MKtitle';
  border-radius: 50px;
  margin-top: 20px;
  font-size: 2rem;
}

.howToPlayText {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.howToPlayHeader {
  grid-template-rows: 1fr;
  font-size: 20px;
  font-family: fantasy;
  margin-top: 15px;
  margin-bottom: 10px;
  width: 95%;
  text-align: center;
}

.howToPlayText h3 {
  font-family: fantasy;
  font-size: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 10px;
  margin-bottom: 10px;
}

.howToPlayText p {
  background-color: rgb(59, 126, 199);
  font-family: fantasy;
  font-size: 15px;
  margin-top: 10px;
  margin-bottom: 20px;
  width: 80%;
  border-radius: 10px;
}

#firstPage {
  display: block;
}

#secondPage {
  display: none;
}

.selectedHuman{
  border: 3px solid Blue;
}

.selectedRobot{
  border: 3px solid red;
}

@keyframes eldAnimationHuman {
  0% { box-shadow: 0 0 15px 5px lightblue, 0 0 25px 10px blue, 0 0 35px 20px darkblue; }
  50% { box-shadow: 0 0 20px 10px lightblue, 0 0 30px 15px blue, 0 0 40px 25px darkblue; }
  100% { box-shadow: 0 0 15px 5px lightblue, 0 0 25px 10px blue, 0 0 35px 20px darkblue; }
}


.eldEffektHuman {
    animation: eldAnimationHuman 0.5s infinite;
  }
  


  @keyframes eldAnimationRobot {
    0% { box-shadow: 0 0 15px 5px pink, 0 0 25px 10px red, 0 0 35px 20px darkred; }
    50% { box-shadow: 0 0 20px 10px pink, 0 0 30px 15px red, 0 0 40px 25px darkred; }
    100% { box-shadow: 0 0 15px 5px pink, 0 0 25px 10px red, 0 0 35px 20px darkred; }
  }
  
  .eldEffektRobot {
    animation: eldAnimationRobot 0.5s infinite;
  }

  .name-popup1,  .name-popup2 {
    background-color: #222334;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 300px;
    height: 200px;
    background-color: #45476D;
    border: 5px solid #222334;
    color: white;
    border-radius: 20px;
    padding: 30px;
    box-shadow: 0px 20px 20px rgb(203, 203, 203);
  }

  .name-popup1 label,
  .name-popup2 label {
    text-transform: uppercase;
    font-size: x-large;
    font-weight: 800;
   
  }
  .name-popup1 input,
  .name-popup2 input {
    align-self: center;
    height: 50px;
    width: 80%;
    margin-left: -8px;
  }

  .popup-windows {
    display: flex;
  display: 100%;
    margin: -450px 0 auto auto;
   
justify-content: space-around;

  }

  .close-symbol-left {
    position: absolute;
    align-self: flex-end;
    margin-top: -200px;
    background-color: #231f39;
    padding: 2px 6px;
    border: 1px solid rgb(19, 19, 19);
    cursor: pointer;
  }
  .close-symbol-right {
    position: absolute;
    align-self: flex-end;
    margin-top: -200px;
    background-color: #231f39;
    padding: 2px 6px;
    border: 1px solid rgb(19, 19, 19);
    cursor: pointer;
  }

  .hidden {
    display: none;
  }
  .nav-btns {
    display: flex;
    width: 80%;
    margin: 20px auto;
   justify-content: space-between;
  
  }
  .continue {
    margin-right: 250px;
  }
  #continueButton:disabled {
    background-color: #464646;
  }
  h4 {
    text-align: center;
    font-size: large;
  }


 @media (max-width: 1024px ) {
    html {
     
      margin:auto;
      zoom: 120%;
background-image: 200%;
background-size: 350%;
background-position: -60em;
     background-color: rgb(0, 0, 0);
    }
  }

  @media (max-width: 550px ) {
    html {
      position: absolute;
      margin-top: 300px;
      margin:auto;
      zoom: 120%;
background-image: 250%;
background-size: 500%;
background-position: -60em;
     background-color: rgb(0, 0, 0);
    }
  
    .nav-btns {
      flex-direction: column;
      justify-content: center;
      width: 100%;
      margin: 20px auto;
      padding-left: 25px;
    }
    .continue-btn {
      width: 90%;
      
    }
    .back-btn{
     margin-top: 50px;
     width: 90%;
    }
    .name-buttons {
      display: flex;
      justify-content: center;
      flex-direction: column;
      margin: 0 auto;
      width: 100%;
      margin-top: 30px;
      align-items: center;
    } 
    .playerName-btn, .robotName-btn {
      width: 90%;
    }
    .robotName-btn {
      margin-top: 10px;
    }
    .container {
      flex-direction: column;
      width: 70%;
    }
    .right-section {
      margin-top: 20px;
    }
    .title {
      width: 90%;
      text-align: center;
      margin: 20px auto;

    }
    .popup-windows {
      display: flex;
      flex-direction: column;
    display: 100%;
      margin: -650px 0 auto auto;
      gap: 20px;
     
  justify-content: center;
  align-items: center;
  
    }
  }
  




